跳转到内容

Sam Audio · Visual Separate

集成

模型 id sam-audio/visual-separate
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/sam-audio/visual-separate?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

与示例类似的文件: $0.05 50 API 积分 运行前会测量你的文件 在此页面运行

获取 API 密钥
Meta 视频转音频 10–60 秒 #video-to-audio#sam-audio

在可选掩码视频和文本提示的引导下,从视频音轨中分离声音

Meta · 数据(JSON)

你的第一个结果将在此显示

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存或免费保存 7 天。

构建请求

控件根据模型架构生成。更改控件时,代码和价格会同步更新。

默认

用于辅助分离的目标声音自然语言描述。

•必填 video_url
拖放文件,或

用于处理的视频文件 URL,格式包括 MP4 或 MOV。

默认 1

为排序生成的候选项数量。

高级 mask_video_url · acceleration · output_format · max_chunk_duration · chunk_overlap
拖放文件,或

掩码视频 URL,使用二进制编码,其中目标对象在白色背景上显示为黑色。

acceleration 默认 balanced

应用于处理的加速级别。

output_format 默认 wav

生成音频的格式。

默认 60

每轮音频上限,以秒为单位;超过该上限时,处理会使用彼此重叠并混合的分块。

默认 5

分块之间重叠的长度,以秒为单位,用于交叉淡化混合。

POST /run/sam-audio/visual-separate?wait=20 报价 → $0.05
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/sam-audio/visual-separate?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 Sam Audio · Visual Separate

接收 `video_url` 并从其音频中提取目标声音。可选的 `mask_video_url` 标记目标物体(目标为黑色,背景为白色),`prompt` 可添加文本提示。最多可对 4 个 `reranking_candidates` 进行排序,长音频会被分块处理。输出包含 wav 或 mp3 格式的 `target` 和 `residual` 音频。

参数

发送规范名称或原生名称之一,不要同时发送两者。 规范名称

名称类型 默认值允许值 描述
video_url必填 video
类型url · video
用于处理的视频文件 URL,格式包括 MP4 或 MOV。
mask_video_url可选
类型url · video
掩码视频 URL,使用二进制编码,其中目标对象在白色背景上显示为黑色。
prompt可选
类型string
默认值
用于辅助分离的目标声音自然语言描述。
reranking_candidates可选
类型integer
默认值1
1 – 4
为排序生成的候选项数量。
acceleration可选
类型enum
默认值balanced
fastbalancedquality
应用于处理的加速级别。
max_chunk_duration可选
类型number
默认值60
10 – 60
每轮音频上限,以秒为单位;超过该上限时,处理会使用彼此重叠并混合的分块。
chunk_overlap可选
类型number
默认值5
0 – 30
分块之间重叠的长度,以秒为单位,用于交叉淡化混合。
output_format可选
类型enum
默认值wav
wavmp3
生成音频的格式。
必填 规范名称,也可接受

文件参数接受公开的 https:// URL、最大 10 MB 的 data: URI,或上传文件的 file_url。 文件

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "sam-audio/visual-separate",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 50,
    "usd": "0.05",
    "charged": 50,
    "refunded": 0
  },
  "input": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "target": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "residual": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "duration": 5,
    "sample_rate": 48000
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
target
object {url, content_type, file_name, file_size}单独提取的目标声音。
residual
object {url, content_type, file_name, file_size}除目标声音之外的剩余音频。
duration
number输出音频长度,以秒为单位。
sample_rate
integer输出音频的采样频率,单位为 Hz。

更多模型:视频转音频

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/sam-audio/visual-separate.md. 所有模型和指南: https://doitong.com/developers/llms.txt